### Method

# Adw AboutDialog set_license

since: 1.5

#### Declaration [src]

    void
    adw_about_dialog_set_license (
      AdwAboutDialog* self,
      const char* license
    )

#### Description [src]

Sets the license for `self`.

This can be used to set a custom text for the license if it can’t be set via `AdwAboutDialog:license-type`.

When set, `AdwAboutDialog:license-type` will be set to `GTK_LICENSE_CUSTOM`.

The license text will be displayed on the Legal page, below the copyright information.

License text can contain Pango markup and links.

`adw_about_dialog_add_legal_section()` can be used to add license information for the application dependencies or other components.

Available since: 1.5

Sets property | `Adw.AboutDialog:license`

#### Parameters

`license`

  Type: `const char*`

  The license.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.